| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Layout.VBox |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors
Description
A vertical container box
Synopsis
data VBox
class BoxClass o => VBoxClass o
castToVBox :: GObjectClass obj => obj -> VBox
gTypeVBox :: GType
toVBox :: VBoxClass o => o -> VBox
vBoxNew :: Bool -> Int -> IO VBox
Detail
`VBox` is a container that organizes child widgets into a single column. Use the `Box` packing interface to determine the arrangement, spacing, height, and alignment of `VBox` children. All children are allocated the same width.
Class Hierarchy
     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Box
     |                           +----VBox
     |                                 +----ColorSelection
     |                                 +----FileChooserWidget
     |                                 +----FontSelection
Types
data VBox
Instances
Eq VBox |
Ord VBox |
GObjectClass VBox |
VBoxClass VBox |
BoxClass VBox |
ContainerClass VBox |
WidgetClass VBox |
ObjectClass VBox |
class BoxClass o => VBoxClass o
Instances
VBoxClass FileChooserWidget |
VBoxClass FontSelection |
VBoxClass ColorSelection |
VBoxClass VBox |
castToVBox :: GObjectClass obj => obj -> VBox
gTypeVBox :: GType
toVBox :: VBoxClass o => o -> VBox
Constructors
vBoxNew
:: Bool | `homogeneous` - `True` if all children are to be given equal space allotments.
-> Int | `spacing` - the number of pixels to place by default between children.
-> IO VBox |
Creates a new `VBox`.
Produced by Haddock version 2.7.2